/*=====================================TOP SECTION======================================*/
.top {
    position: relative;
    // padding-top: 200px;
    padding-top: 15vh;
    padding-bottom: 50px;
    min-height: 100vh;
    overflow: hidden;

    @media (max-width: 1440px) {
        margin-top: 0;  
        padding-top: 10vh;
    }

    @media (max-width: 900px) {
        margin-top: 50px;
    }

    @media (max-width: 500px) {
        margin-top: 20px;
        padding-top: 150px;
    }

    @media  (max-width: 1000px) and (min-height: 900px) {
        margin-top: 100px;
    }

    @media (max-width: 1000px) and (min-height: 1100px) {
        margin-top: 300px;
    }
}

.top__inner {
    display: flex;
    justify-content: space-between;


    @media (max-width: 620px) {
       flex-direction: column;
     }
}

.top__col {
    width: 45%;
    margin-left: auto;

    @media (max-width: 1440px) {
        width: 40%;
    }

    @media (max-width: 1160px) {
        width: 50%;
    }

    @media (max-width: 900px) {
        position: relative;
        width: 50%;
    }

    @media (max-width: 620px) {
        width: 100%;
    }
}

.top__image {
    position: absolute;
    top: 15vh;
    left: 0;
    max-width: 880px;

    @media (max-width: 1440px) {
        max-width: 700px;
    }

    @media (max-width: 1160px) {
        max-width: 500px;
    }

    @media (max-width: 900px) {
       left: -30px;
       top: 150px;
       max-width: 450px;
    }

    @media (max-width: 620px) {
       position: relative;
       max-width: 500px;
       top: 0px;
    }
}

.top__image-boxes {
    position: absolute;
    top: 400px;
    right: 100px;

    @media (max-width: 1440px) {
        max-width: 200px;
        right: 20px;
        top: 300px;
    }

    @media (max-width: 900px) {
        max-width: 150px;
        right: -40px;
        top: 150px;
    }

    @media (max-width: 500px) {
        max-width: 100px;
        top: 100px;
    }

}

sup {
    line-height: 1;
}

.top__info {
    margin-top: 80px;
    display: flex;
    align-items: flex-end;

    @media (max-width: 1440px) {
        margin-top: 50px;
    }

    @media (max-width: 900px) {
        margin-top: 0;
    }

    @media (max-width: 620px) {
        flex-direction: column;
        align-items: center;
    }

    &-marker {
        font-family: 'Chocolate Cyr';
        font-size: 30px;
        line-height: 1.2;
        width: 45px;
        height: 45px;
        background-color: #fff;
        text-align: center;
        border-radius: 50%;
        border: $orange-border;

        position: absolute;
        top: 0;
        left: 0;
        z-index: 10;

        @media (max-width: 900px) {
            width: 40px;
            height: 40px;
            font-size: 24px;
        }

        @media (max-width: 500px) {
            font-size: 16px;
            width: 30px;
            height: 30px;
        }
    }

    &-body {
        font-family: 'Chocolate Cyr';
        margin: 0 auto;
        margin-bottom: 10px;
        font-size: 30px;
        line-height: 1.2;
        color: #fff;
        text-transform: uppercase;
        padding: 15px 10px;
        max-width: 240px;
        background-color: $orange;
        text-align: center;
        border-radius: 15px;
        filter: drop-shadow(0px 4px 4px rgba(0, 0, 0, 0.25));

        @media (max-width: 900px) {
            font-size: 20px;
            max-width: 180px;
        }

        @media (max-width: 620px) {
            font-size: 16px;
            max-width: 140px;
        }

        @media (max-width: 500px) {
            font-size: 13px;
            max-width: 110px;
            margin-bottom: 5px;
            padding: 11px 5px;
        }
    }

    &-items {
        max-width: 280px;

        @media (max-width: 900px) {
            max-width: 220px;
            margin-left: auto;
            margin-right: auto;
        }

        @media (max-width: 620px) {
            display: flex;
            max-width: 100%;
            align-items: flex-start;
        }
    }

    &-item + .top__info-item {
        margin-top: 25px;

        @media (max-width: 900px) {
            margin-top: 10px;
        }

        @media (max-width: 620px) {
            margin-top: 0;
            margin-left: 10px;
        }

        @media (max-width: 500px) {
            margin-top: 0;
            margin-left: 5px;
        }
    }

    &-item {
        position: relative;
        padding-top: 20px;

        @media (max-width: 620px) {
            max-width: 150px;
        }

        @media (max-width: 500px) {
           width: 120px;
        }

        p {
            font-family: 'Balsamiq Sans';
            font-size: 24px;
            line-height: 1;
            color: $orange;
            font-weight: 700;
            text-align: center;

            .big {
                font-size: 36px;
                text-shadow: rgb(255, 255, 255) 3px 0px 0px, rgb(255, 255, 255) 2.83487px 0.981584px 0px, rgb(255, 255, 255) 2.35766px 1.85511px 0px, rgb(255, 255, 255) 1.62091px 2.52441px 0px, rgb(255, 255, 255) 0.705713px 2.91581px 0px, rgb(255, 255, 255) -0.287171px 2.98622px 0px, rgb(255, 255, 255) -1.24844px 2.72789px 0px, rgb(255, 255, 255) -2.07227px 2.16926px 0px, rgb(255, 255, 255) -2.66798px 1.37182px 0px, rgb(255, 255, 255) -2.96998px 0.42336px 0px, rgb(255, 255, 255) -2.94502px -0.571704px 0px, rgb(255, 255, 255) -2.59586px -1.50383px 0px, rgb(255, 255, 255) -1.96093px -2.27041px 0px, rgb(255, 255, 255) -1.11013px -2.78704px 0px, rgb(255, 255, 255) -0.137119px -2.99686px 0px, rgb(255, 255, 255) 0.850987px -2.87677px 0px, rgb(255, 255, 255) 1.74541px -2.43999px 0px, rgb(255, 255, 255) 2.44769px -1.73459px 0px, rgb(255, 255, 255) 2.88051px -0.838247px 0px;
            }

            .small {
                font-size: 18px;
            }

            @media (max-width: 900px) {
               font-size: 18px;

               .big {
                   font-size: 20px;
               }

               .small {
                    font-size: 16px;
                }
            }

            @media (max-width: 620px) {
                font-size: 16px;
 
                .big {
                    font-size: 18px;
                }
 
                .small {
                     font-size: 13px;
                 }
            }

            @media (max-width: 500px) {
                font-size: 12px;
 
                .big {
                    font-size: 13px;
                }
 
                .small {
                     font-size: 10px;
                 }
            }
        }
    }

    &-qr {
        max-width: 120px;
        margin-left: auto;
        margin-right: 20px;

        @media (max-width: 900px) {
            max-width: 80px;
        }

        @media (max-width: 620px) {
            margin: 0 auto;
            margin-top: 20px;
        }
    }

    &-arrow {
        width: 90%;
        margin: 0 auto;
        margin-bottom: 20px;

        @media (max-width: 900px) {
            width: 60%;
            margin-bottom: 10px;
        }
    }
}

.btn {
   position: relative;
   display: flex;
   justify-content: center;
}

.top__button{
    position: relative;
    font-family: 'Roboto';
    font-size: 40px;
    font-weight: 700;
    line-height: 1.2;
    margin-top: 100px;
    width: 100%;
    z-index: 2;
    text-align: center;
    text-transform: uppercase;
    color: $orange;
    margin-bottom: 50px;

    @media (max-width: 1440px) {
        max-width: 80%;
        font-size: 24px;
    }

    @media (max-width: 1160px) {
        margin-top: 50px;
        font-size: 18px;
    }

    @media (max-width: 900px) {
       font-size: 16px;
       max-width: 90%;
    }

    @media (max-width: 620px) {
       max-width: 80%;
       margin-top: 25px;
    }
     

    &-text{
        background-color: white;
        padding: 10px 70px;
        border-radius: 80px;
        position: relative;
        z-index: 10;

        @media (max-width: 1440px) {
            padding: 10px 50px;
        }

        @media (max-width: 900px) {
            padding: 10px 20px;
        }
    }

    &-shadow{
        right: 0;
        top: 10px;
        position: absolute;
        height: 100%;
        width: 100%;
        background-color: $orange;
        border-radius: 80px;
    }
}
/*======================================================================================*/


/*========================================GIFTS========================================*/
.gifts {
    margin-top: 100px;
    padding-bottom: 50px;

    @media (max-width: 1440px) {
        margin-top: 0px;
    }
}

.gifts__title {
    font-family: 'Roboto';
    margin: 0 auto;
    border-radius: 25px;
    font-weight: 900;
    font-size: 48px;
    line-height: 1.2;
    color: #fff;
    background-color: $orange;
    padding: 18px 10px;
    text-align: center;
    max-width: 800px;
    margin-bottom: 60px;
    box-shadow: 0px 6px 4px rgba(0, 0, 0, 0.25);
    letter-spacing: 0.07em;
    text-transform: uppercase;

    @media (max-width: 1440px) {
       font-size: 40px;
       max-width: 600px;
    }

    @media (max-width: 768px) {
        font-size: 24px;
        max-width: 400px;
        margin-bottom: 40px;
    }
}

.gifts {
    &__items {
        display: flex;
        width: 100%;
        justify-content: space-between;
        align-items: flex-end;
        margin: 0 auto;
        background-color: #fff;
        padding: 60px 90px;
        margin-top: 70px;
        max-width: 1265px;
        border-radius: 50px;

        @media (max-width: 1440px) {
            max-width: 1000px;
            padding: 50px 50px;
        }

        @media (max-width: 1024px) {
            flex-direction: column;
            align-items: center;
            margin: 0 auto;
            max-width: 700px;
        }

        @media (max-width: 768px) {
            margin-top: 20px;
         }

    }

    &__item{
        position: relative;
        margin: 0 25px;
        padding: 0 15px;

        &:nth-child(1) {
            max-width: 300px;

            
            @media (max-width: 768px) {
               max-width: 220px;
            }

        }

        &:nth-child(2) {
            max-width: 250px;

            @media (max-width: 768px) {
                max-width: 190px;
             }
        }

        &:nth-child(3) {
            max-width: 200px;

            @media (max-width: 768px) {
                max-width: 160px;
             }
        }

        @media (max-width: 1024px) {
            margin: 30px 0;
        }
    }

    &__amount {
        width: 80px;
        height: 80px;
        border-radius: 50%;
        border: 6px solid $orange;
        font-family: 'Chocolate Cyr';
        text-align: center;
        display: flex;
        flex-direction: column;
        justify-content: center;
        background-color: #fff;

        position: absolute;
        bottom: -30px;
        right: -20px;

        span:nth-child(1) {
            font-size: 24px;
            line-height: 1;
        }

        span:nth-child(2) {
            font-size: 18px;
            line-height: 1;
        }
    }
}

.par {
    margin-top: 60px;

    &__marq {
        
        &-group {
            display: flex;
            align-items: center;
            img {
                max-width: 200px;
                margin: 0 20px;

                @media (max-width: 768px) {
                    max-width: 150px;
                }

            }
        }
    }
}
/*======================================================================================*/